Loading...
Searching...
No Matches
casacore::LELImageCoord Class Reference
images package (libcasa_images) » Images_module » Images_module_internal_classes

More...

`#include <LELImageCoord.h>`

## Public Member Functions

| LELImageCoord ()
| LELImageCoord (const CoordinateSystem &coords, const ImageInfo &imageInfo, const Unit &unit, const RecordInterface &miscInfo)
virtual | ~LELImageCoord ()
const CoordinateSystem & | coordinates () const
| Get the coordinates.
const ImageInfo & | imageInfo () const
| Get the ImageInfo.
const Unit & | unit () const
| Get the brightness unit.
const TableRecord & | miscInfo () const
| Get the MiscInfo.
virtual LatticeExprNode | makeSubLattice (const LatticeExprNode &expr, const LattRegionHolder &region) const
| Create a SubLattice for an expression node.
virtual LatticeExprNode | makeExtendLattice (const LatticeExprNode &expr, const IPosition &newShape, const LELLattCoordBase &newCoord) const
| Create an extension for an expression node.
virtual LatticeExprNode | makeRebinLattice (const LatticeExprNode &expr, const IPosition &binning) const
| Create a rebinning for an expression node.
virtual Bool | hasCoordinates () const
| The class has true coordinates (thus returns True).
virtual uInt | getSpectralInfo (Vector< Double > &worldCoordinates, const IPosition &shape) const
| Get the coordinates of the spectral axis for the given shape.
virtual String | classname () const
| The name of the class.
virtual Int | compare (const LELLattCoordBase &other) const
| Check how the coordinates of this and that compare.
virtual Int | doCompare (const LELImageCoord &other) const
| Check how the coordinates of this and that image compare.
Public Member Functions inherited from casacore::LELLattCoord
| LELLattCoord ()
virtual | ~LELLattCoord ()
| A virtual destructor is needed so that it will use the actual destructor in the derived class.
Public Member Functions inherited from casacore::LELLattCoordBase
| LELLattCoordBase ()
virtual | ~LELLattCoordBase ()
| A virtual destructor is needed so that it will use the actual destructor in the derived class.

## Private Attributes

std::shared_ptr< CoordinateSystem > | coords_p
ImageInfo | imageInfo_p
Unit | unit_p
TableRecord | miscInfo_p

## Detailed Description

The letter class for image coordinates.

### Intended use:

Internal

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- LELLattCoord

### Synopsis

This class is a letter class for the envelope class LELCoordinates. It acts as the coordinates class for Lattice objects with proper coordinates (like PagedImage).

### Motivation

It must be possible to handle image coordinates in a lattice. expression.

Definition at line 75 of file LELImageCoord.h.

## Constructor & Destructor Documentation

## LELImageCoord() [1/2]

casacore::LELImageCoord::LELImageCoord | ( |  | ) |

Referenced by doCompare().

## LELImageCoord() [2/2]

casacore::LELImageCoord::LELImageCoord | ( | const CoordinateSystem & | coords,
|  | const ImageInfo & | imageInfo,
|  | const Unit & | unit,
|  | const RecordInterface & | miscInfo )

References imageInfo(), miscInfo(), casacore::RecordInterface(), and unit().

## ~LELImageCoord()

virtual casacore::LELImageCoord::~LELImageCoord | ( |  | ) |

virtual

## Member Function Documentation

## classname()

virtual String casacore::LELImageCoord::classname | ( |  | ) | const

virtual

The name of the class.

Reimplemented from casacore::LELLattCoord.

## compare()

virtual Int casacore::LELImageCoord::compare | ( | const LELLattCoordBase & | other | ) | const

virtual

Check how the coordinates of this and that compare.

The return value tells how they compare.
-1: this is subset
0: equal
1: this is superset
9: invalid (mismatch)

Reimplemented from casacore::LELLattCoord.

## coordinates()

const CoordinateSystem & casacore::LELImageCoord::coordinates | ( |  | ) | const

inline

Get the coordinates.

Definition at line 147 of file LELImageCoord.h.

References coords_p.

## doCompare()

virtual Int casacore::LELImageCoord::doCompare | ( | const LELImageCoord & | other | ) | const

virtual

Check how the coordinates of this and that image compare.

This function is used by conform to make a double virtual dispatch possible.

Reimplemented from casacore::LELLattCoord.

References LELImageCoord().

## getSpectralInfo()

virtual uInt casacore::LELImageCoord::getSpectralInfo | ( | Vector< Double > & | worldCoordinates,
|  | const IPosition & | shape ) const

virtual

Get the coordinates of the spectral axis for the given shape.

It returns the pixel axis number of the spectral coordinates. -1 indicates that there is no pixel spectral axis. An exception is thrown if there are no world spectral coordinates.

Reimplemented from casacore::LELLattCoord.

References casacore::shape().

## hasCoordinates()

virtual Bool casacore::LELImageCoord::hasCoordinates | ( |  | ) | const

virtual

The class has true coordinates (thus returns True).

Reimplemented from casacore::LELLattCoord.

## imageInfo()

const ImageInfo & casacore::LELImageCoord::imageInfo | ( |  | ) | const

inline

Get the ImageInfo.

Definition at line 152 of file LELImageCoord.h.

References imageInfo_p.

Referenced by LELImageCoord().

## makeExtendLattice()

virtual LatticeExprNode casacore::LELImageCoord::makeExtendLattice | ( | const LatticeExprNode & | expr,
|  | const IPosition & | newShape,
|  | const LELLattCoordBase & | newCoord ) const

virtual

Create an extension for an expression node.

Reimplemented from casacore::LELLattCoord.

## makeRebinLattice()

virtual LatticeExprNode casacore::LELImageCoord::makeRebinLattice | ( | const LatticeExprNode & | expr,
|  | const IPosition & | binning ) const

virtual

Create a rebinning for an expression node.

Reimplemented from casacore::LELLattCoord.

## makeSubLattice()

virtual LatticeExprNode casacore::LELImageCoord::makeSubLattice | ( | const LatticeExprNode & | expr,
|  | const LattRegionHolder & | region ) const

virtual

Create a SubLattice for an expression node.

Reimplemented from casacore::LELLattCoord.

## miscInfo()

const TableRecord & casacore::LELImageCoord::miscInfo | ( |  | ) | const

inline

Get the MiscInfo.

Definition at line 162 of file LELImageCoord.h.

References miscInfo_p.

Referenced by LELImageCoord().

## unit()

const Unit & casacore::LELImageCoord::unit | ( |  | ) | const

inline

Get the brightness unit.

Definition at line 157 of file LELImageCoord.h.

References unit_p.

Referenced by LELImageCoord().

## Member Data Documentation

## coords_p

std::shared_ptr<CoordinateSystem> casacore::LELImageCoord::coords_p

private

Definition at line 140 of file LELImageCoord.h.

Referenced by coordinates().

## imageInfo_p

ImageInfo casacore::LELImageCoord::imageInfo_p

private

Definition at line 141 of file LELImageCoord.h.

Referenced by imageInfo().

## miscInfo_p

TableRecord casacore::LELImageCoord::miscInfo_p

private

Definition at line 143 of file LELImageCoord.h.

Referenced by miscInfo().

## unit_p

Unit casacore::LELImageCoord::unit_p

private

Definition at line 142 of file LELImageCoord.h.

Referenced by unit().

The documentation for this class was generated from the following file:

- images/Images/LELImageCoord.h